package com.fs.live.service;


import com.fs.live.domain.LiveMsg;

import java.util.List;

/**
 * 直播讨论Service接口
 *
 * @author fs
 * @date 2025-01-17
 */
public interface ILiveMsgService
{
    /**
     * 查询直播讨论
     *
     * @param msgId 直播讨论主键
     * @return 直播讨论
     */
    public LiveMsg selectLiveMsgByMsgId(Long msgId);

    /**
     * 查询直播讨论列表
     *
     * @param liveMsg 直播讨论
     * @return 直播讨论集合
     */
    public List<LiveMsg> selectLiveMsgList(LiveMsg liveMsg);

    /**
     * 新增直播讨论
     *
     * @param liveMsg 直播讨论
     * @return 结果
     */
    public int insertLiveMsg(LiveMsg liveMsg);

    /**
     * 修改直播讨论
     *
     * @param liveMsg 直播讨论
     * @return 结果
     */
    public int updateLiveMsg(LiveMsg liveMsg);

    /**
     * 批量删除直播讨论
     *
     * @param msgIds 需要删除的直播讨论主键集合
     * @return 结果
     */
    public int deleteLiveMsgByMsgIds(Long[] msgIds);

    /**
     * 删除直播讨论信息
     *
     * @param msgId 直播讨论主键
     * @return 结果
     */
    public int deleteLiveMsgByMsgId(Long msgId);

    /**
     * 查询最近几条消息
     * @param id
     * @return
     */
    List<LiveMsg> listRecentMsg(Long id);

    List<LiveMsg> selectLiveMsgSingleList(LiveMsg liveMsg);
}
